clan::Color Class Reference - ClanLib SDK
Description: clan::Color Class Reference

Public Member Functions | Static Public Attributes | List of all members
clan::Color Class Reference
clanDisplay 2D

Color description class. More...

`#include <color.h>`

Inheritance diagram for clan::Color:

## Public Member Functions
| Color ()
| Constructs a color.
| Color (const Colorf &)
| Color (const std::string &hexstr)
| Constructs a color.
| Color (unsigned char red, unsigned char green, unsigned char blue, unsigned char alpha=255)
| Constructs a color.
unsigned int | get_abgr8 () const
| Returns the color in ABGR8888 format.
unsigned char | get_alpha () const
| Returns the alpha color component, in the range 0-255.
float | get_alpha_f () const
| Returns the alpha color component, in the range 0-1.
unsigned int | get_argb8 () const
| Returns the color in ARGB8888 format.
unsigned int | get_bgr8 () const
| Returns the color in 0BGR8888 format.
unsigned int | get_bgra8 () const
| Returns the color in BGRA8888 format.
unsigned char | get_blue () const
| Returns the blue color component, in the range 0-255.
float | get_blue_f () const
| Returns the blue color component, in the range 0-1.
unsigned char | get_green () const
| Returns the green color component, in the range 0-255.
float | get_green_f () const
| Returns the green color component, in the range 0-1.
unsigned char | get_red () const
| Returns the red color component, in the range 0-255.
float | get_red_f () const
| Returns the red color component, in the range 0-1.
unsigned int | get_rgba8 () const
| Returns the color in RGBA8888 format.
bool | operator!= (const Color &c) const
| Color != Color operator (deep compare).
bool | operator== (const Color &c) const
| Color == Color operator (deep compare).
void | set_alpha (unsigned char value)
| Set alpha color component, in the range 0-255.
void | set_alpha_f (float value)
| Set alpha color component, in the range 0-1.
void | set_argb8 (unsigned int color)
| Set color based on argb color components.
void | set_bgra8 (unsigned int color)
| Set color based on rgba color components.
void | set_blue (unsigned char value)
| Set blue color component, in the range 0-255.
void | set_blue_f (float value)
| Set blue color component, in the range 0-1.
void | set_color (unsigned char new_red, unsigned char new_green, unsigned char new_blue, unsigned char new_alpha=255)
| Set color based on rgba color components in the range 0-255.
void | set_colorf (float new_red, float new_green, float new_blue, float new_alpha=1.0f)
| Set color based on rgba color components in the range 0-1.
void | set_green (unsigned char value)
| Set green color component, in the range 0-255.
void | set_green_f (float value)
| Set green color component, in the range 0-1.
void | set_red (unsigned char value)
| Set red color component, in the range 0-255.
void | set_red_f (float value)
| Set red color component, in the range 0-1.
void | set_rgb8 (unsigned int color)
| Set color based on rgb color components. Alpha is set to 255.
void | set_rgba8 (unsigned int color)
| Set color based on rgba color components.
Public Member Functions inherited from clan::Vec4< unsigned char >
| Vec4 ()
| Vec4 (const unsigned char &p1, const unsigned char &p2, const unsigned char &p3, const unsigned char &p4)
| Vec4 (const unsigned char &p1, const unsigned char &p2, const Vec2< unsigned char > &copy34)
| Vec4 (const unsigned char &scalar)
| Vec4 (const unsigned char *array_xyzw)
| Vec4 (const Vec2< unsigned char > &copy, const unsigned char &p3, const unsigned char &p4)
| Vec4 (const Vec2< unsigned char > &copy, const Vec2< unsigned char > &copy34)
| Vec4 (const Vec3< unsigned char > &copy, const unsigned char &p4)
| Vec4 (const Vec4< OtherType > &copy)
| Vec4 (const Vec4< OtherType > &copy)
| Vec4 (const Vec4< unsigned char > &copy)=default
Angle | angle3 (const Vec4< unsigned char > &vector) const
| Calculate the angle between this vector and an other vector (not taking into account the w ordinate).
Vec4< unsigned char > & | cross3 (const Vec4< unsigned char > &vector)
| Calculate the cross product between this vector and an other vector (not taking into account the w ordinate).
unsigned char | distance3 (const Vec4< unsigned char > &vector) const
| Calculate the distance between this vector and an other vector (not taking into account the w ordinate).
unsigned char | distance4 (const Vec4< unsigned char > &vector) const
| Calculate the distance between this vector and an other vector (taking into account the w ordinate).
unsigned char | dot3 (const Vec4< unsigned char > &vector) const
| Dot products this vector with an other vector (not taking into account the w ordinate).
unsigned char | dot4 (const Vec4< unsigned char > &vector) const
| Dot products this vector with an other vector (taking into account the w ordinate).
bool | is_equal (const Vec4< unsigned char > &other, unsigned char epsilon) const
| Returns true if equal within the bounds of an epsilon.
float | length3 () const
double | length3 () const
unsigned char | length3 () const
| Returns the length (magnitude) of this vector (not taking into account the w ordinate).
float | length4 () const
double | length4 () const
unsigned char | length4 () const
| Returns the length (magnitude) of this vector (taking into account the w ordinate).
Vec4< unsigned char > & | normalize3 ()
| Normalizes this vector (not taking into account the w ordinate).
Vec4< unsigned char > & | normalize4 ()
| Normalizes this vector (taking into account the w ordinate).
bool | operator!= (const Vec4< unsigned char > &vector) const
| != operator.
void | operator*= (const Vec4< unsigned char > &vector)
| *= operator.
void | operator*= (unsigned char value)
| *= operator.
void | operator+= (const Vec4< unsigned char > &vector)
| += operator.
void | operator+= (unsigned char value)
| += operator.
Vec4< unsigned char > | operator- () const
| operator.
void | operator-= (const Vec4< unsigned char > &vector)
| -= operator.
void | operator-= (unsigned char value)
| -= operator.
void | operator/= (const Vec4< unsigned char > &vector)
| /= operator.
void | operator/= (unsigned char value)
| /= operator.
bool | operator< (const Vec4< unsigned char > &vector) const
| < operator.
Vec4< unsigned char > & | operator= (const Vec4< unsigned char > &vector)=default
| = operator.
bool | operator== (const Vec4< unsigned char > &vector) const
| == operator.
Vec4< unsigned char > & | rotate3 (const Angle &angle, const Vec4< unsigned char > &axis)
| Rotate this vector around an axis. Same as glRotate[f|d](angle, a);.
Vec4< unsigned char > & | round ()
| Rounds all components on this vector.
void | set_xy (const Vec2< unsigned char > &new_v)
void | set_zw (const Vec2< unsigned char > &new_v)

## Static Public Attributes
static Color | aliceblue
static Color | antiquewhite
static Color | aqua
static Color | aquamarine
static Color | azure
static Color | beige
static Color | bisque
static Color | black
static Color | blanchedalmond
static Color | blue
static Color | blueviolet
static Color | brown
static Color | burlywood
static Color | cadetblue
static Color | chartreuse
static Color | chocolate
static Color | coral
static Color | cornflowerblue
static Color | cornsilk
static Color | crimson
static Color | cyan
static Color | darkblue
static Color | darkcyan
static Color | darkgoldenrod
static Color | darkgray
static Color | darkgreen
static Color | darkgrey
static Color | darkkhaki
static Color | darkmagenta
static Color | darkolivegreen
static Color | darkorange
static Color | darkorchid
static Color | darkred
static Color | darksalmon
static Color | darkseagreen
static Color | darkslateblue
static Color | darkslategray
static Color | darkslategrey
static Color | darkturquoise
static Color | darkviolet
static Color | deeppink
static Color | deepskyblue
static Color | dimgray
static Color | dimgrey
static Color | dodgerblue
static Color | firebrick
static Color | floralwhite
static Color | forestgreen
static Color | fuchsia
static Color | gainsboro
static Color | ghostwhite
static Color | gold
static Color | goldenrod
static Color | gray
static Color | gray10
static Color | gray20
static Color | gray30
static Color | gray40
static Color | gray50
static Color | gray60
static Color | gray70
static Color | gray80
static Color | gray90
static Color | green
static Color | greenyellow
static Color | grey
static Color | honeydew
static Color | hotpink
static Color | indianred
static Color | indigo
static Color | ivory
static Color | khaki
static Color | lavender
static Color | lavenderblush
static Color | lawngreen
static Color | lemonchiffon
static Color | lightblue
static Color | lightcoral
static Color | lightcyan
static Color | lightgoldenrodyellow
static Color | lightgray
static Color | lightgreen
static Color | lightgrey
static Color | lightpink
static Color | lightsalmon
static Color | lightseagreen
static Color | lightskyblue
static Color | lightslategray
static Color | lightslategrey
static Color | lightsteelblue
static Color | lightyellow
static Color | lime
static Color | limegreen
static Color | linen
static Color | magenta
static Color | maroon
static Color | mediumaquamarine
static Color | mediumblue
static Color | mediumorchid
static Color | mediumpurple
static Color | mediumseagreen
static Color | mediumslateblue
static Color | mediumspringgreen
static Color | mediumturquoise
static Color | mediumvioletred
static Color | midnightblue
static Color | mintcream
static Color | mistyrose
static Color | moccasin
static Color | navajowhite
static Color | navy
static Color | oldlace
static Color | olive
static Color | olivedrab
static Color | orange
static Color | orangered
static Color | orchid
static Color | palegoldenrod
static Color | palegreen
static Color | paleturquoise
static Color | palevioletred
static Color | papayawhip
static Color | peachpuff
static Color | peru
static Color | pink
static Color | plum
static Color | powderblue
static Color | purple
static Color | red
static Color | rosybrown
static Color | royalblue
static Color | saddlebrown
static Color | salmon
static Color | sandybrown
static Color | seagreen
static Color | seashell
static Color | sienna
static Color | silver
static Color | skyblue
static Color | slateblue
static Color | slategray
static Color | slategrey
static Color | snow
static Color | springgreen
static Color | steelblue
static Color | tan
static Color | teal
static Color | thistle
static Color | tomato
static Color | transparent
| rgba(0, 0, 0, 0).
static Color | turquoise
static Color | violet
static Color | wheat
static Color | white
static Color | whitesmoke
static Color | yellow
static Color | yellowgreen

## Additional Inherited Members
Public Types inherited from clan::Vec4< unsigned char >
typedef unsigned char | datatype
Static Public Member Functions inherited from clan::Vec4< unsigned char >
static Vec4< unsigned char > | cross3 (const Vec4< unsigned char > &vector1, const Vec4< unsigned char > &vector2)
| Calculate the cross product between two vectors (not taking into account the w ordinate).
static unsigned char | dot3 (const Vec4< unsigned char > &vector1, const Vec4< unsigned char > &vector2)
| Dot products between two vectors (not taking into account the w ordinate).
static unsigned char | dot4 (const Vec4< unsigned char > &vector1, const Vec4< unsigned char > &vector2)
| Dot products between two vectors (taking into account the w ordinate).
static bool | is_equal (const Vec4< unsigned char > &first, const Vec4< unsigned char > &second, unsigned char epsilon)
| Returns true if equal within the bounds of an epsilon.
static Vec4< unsigned char > | normalize3 (const Vec4< unsigned char > &vector)
| Normalizes a vector (not taking into account the w ordinate).
static Vec4< unsigned char > | normalize4 (const Vec4< unsigned char > &vector)
| Normalizes a vector (taking into account the w ordinate).
static Vec4< unsigned char > | rotate3 (const Vec4< unsigned char > &vector, const Angle &angle, const Vec4< unsigned char > &axis)
| Rotate a vector around an axis. Same as glRotate[f|d](angle, a);.
static Vec4< unsigned char > | round (const Vec4< unsigned char > &vector)
| Rounds all components on a vector.
Public Attributes inherited from clan::Vec4< unsigned char >
union { |
Type g |
Type t |
Type y |
}; |
union { |
Type b |
Type u |
Type z |
}; |
union { |
Type r |
Type s |
Type x |
}; |
union { |
Type a |
Type v |
Type w |
}; |
unsigned char | a
unsigned char | b
unsigned char | g
unsigned char | r
unsigned char | s
unsigned char | t
unsigned char | u
unsigned char | v
unsigned char | w
unsigned char | x
unsigned char | y
unsigned char | z

## Detailed Description

Color description class.

## Constructor & Destructor Documentation

## ◆ Color() [1/4]

clan::Color::Color | ( |  | ) |
| inline

Constructs a color.

Referenced by operator!=(), and operator==().

## ◆ Color() [2/4]

clan::Color::Color | ( | const Colorf & |  | ) |
| explicit

## ◆ Color() [3/4]

clan::Color::Color | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | unsigned char | alpha = 255 )
| inline

Constructs a color.

Color components are specified in the range 0 to 255.
An alpha value of 0 means complete transparency, while 255 means completely opaque (solid).

Parameters

  red | Red color component.
  green | Green color component.
  blue | Blue color component.
  alpha | Alpha (transparency) color component.

References blue, green, and red.

## ◆ Color() [4/4]

clan::Color::Color | ( | const std::string & | hexstr | ) |

Constructs a color.

Color components are specified in the range 0 to 255.
An alpha value of 0 means complete transparency, while 255 means completely opaque (solid).

Parameters

  hexstr | The colors rgba components as a hexadecimal string of the format "#rrggbbaa", where the '#' and "aa" parts are optional.

## Member Function Documentation

## ◆ get_abgr8()

unsigned int clan::Color::get_abgr8 | ( |  | ) | const
| inline

Returns the color in ABGR8888 format.

References clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ get_alpha()

unsigned char clan::Color::get_alpha | ( |  | ) | const
| inline

Returns the alpha color component, in the range 0-255.

References clan::Vec4< unsigned char >::a.

## ◆ get_alpha_f()

float clan::Color::get_alpha_f | ( |  | ) | const
| inline

Returns the alpha color component, in the range 0-1.

References clan::Vec4< unsigned char >::a.

## ◆ get_argb8()

unsigned int clan::Color::get_argb8 | ( |  | ) | const
| inline

Returns the color in ARGB8888 format.

References clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ get_bgr8()

unsigned int clan::Color::get_bgr8 | ( |  | ) | const
| inline

Returns the color in 0BGR8888 format.

References clan::Vec4< unsigned char >::b, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ get_bgra8()

unsigned int clan::Color::get_bgra8 | ( |  | ) | const
| inline

Returns the color in BGRA8888 format.

References clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ get_blue()

unsigned char clan::Color::get_blue | ( |  | ) | const
| inline

Returns the blue color component, in the range 0-255.

References clan::Vec4< unsigned char >::b.

## ◆ get_blue_f()

float clan::Color::get_blue_f | ( |  | ) | const
| inline

Returns the blue color component, in the range 0-1.

References clan::Vec4< unsigned char >::b.

## ◆ get_green()

unsigned char clan::Color::get_green | ( |  | ) | const
| inline

Returns the green color component, in the range 0-255.

References clan::Vec4< unsigned char >::g.

## ◆ get_green_f()

float clan::Color::get_green_f | ( |  | ) | const
| inline

Returns the green color component, in the range 0-1.

References clan::Vec4< unsigned char >::g.

## ◆ get_red()

unsigned char clan::Color::get_red | ( |  | ) | const
| inline

Returns the red color component, in the range 0-255.

References clan::Vec4< unsigned char >::r.

## ◆ get_red_f()

float clan::Color::get_red_f | ( |  | ) | const
| inline

Returns the red color component, in the range 0-1.

References clan::Vec4< unsigned char >::r.

## ◆ get_rgba8()

unsigned int clan::Color::get_rgba8 | ( |  | ) | const
| inline

Returns the color in RGBA8888 format.

References clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ operator!=()

bool clan::Color::operator!= | ( | const Color & | c | ) | const
| inline

Color != Color operator (deep compare).

References Color(), clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::c, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ operator==()

bool clan::Color::operator== | ( | const Color & | c | ) | const
| inline

Color == Color operator (deep compare).

References Color(), clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::c, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ set_alpha()

void clan::Color::set_alpha | ( | unsigned char | value | ) |
| inline

Set alpha color component, in the range 0-255.

References clan::Vec4< unsigned char >::a.

## ◆ set_alpha_f()

void clan::Color::set_alpha_f | ( | float | value | ) |
| inline

Set alpha color component, in the range 0-1.

References clan::Vec4< unsigned char >::a.

## ◆ set_argb8()

void clan::Color::set_argb8 | ( | unsigned int | color | ) |

Set color based on argb color components.

## ◆ set_bgra8()

void clan::Color::set_bgra8 | ( | unsigned int | color | ) |

Set color based on rgba color components.

## ◆ set_blue()

void clan::Color::set_blue | ( | unsigned char | value | ) |
| inline

Set blue color component, in the range 0-255.

References clan::Vec4< unsigned char >::b.

## ◆ set_blue_f()

void clan::Color::set_blue_f | ( | float | value | ) |
| inline

Set blue color component, in the range 0-1.

References clan::Vec4< unsigned char >::b.

## ◆ set_color()

void clan::Color::set_color | ( | unsigned char | new_red,
|  | unsigned char | new_green,
|  | unsigned char | new_blue,
|  | unsigned char | new_alpha = 255 )
| inline

Set color based on rgba color components in the range 0-255.

References clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ set_colorf()

void clan::Color::set_colorf | ( | float | new_red,
|  | float | new_green,
|  | float | new_blue,
|  | float | new_alpha = 1.0f )
| inline

Set color based on rgba color components in the range 0-1.

References clan::Vec4< unsigned char >::a, clan::Vec4< unsigned char >::b, clan::Vec4< unsigned char >::g, and clan::Vec4< unsigned char >::r.

## ◆ set_green()

void clan::Color::set_green | ( | unsigned char | value | ) |
| inline

Set green color component, in the range 0-255.

References clan::Vec4< unsigned char >::g.

## ◆ set_green_f()

void clan::Color::set_green_f | ( | float | value | ) |
| inline

Set green color component, in the range 0-1.

References clan::Vec4< unsigned char >::g.

## ◆ set_red()

void clan::Color::set_red | ( | unsigned char | value | ) |
| inline

Set red color component, in the range 0-255.

References clan::Vec4< unsigned char >::r.

## ◆ set_red_f()

void clan::Color::set_red_f | ( | float | value | ) |
| inline

Set red color component, in the range 0-1.

References clan::Vec4< unsigned char >::r.

## ◆ set_rgb8()

void clan::Color::set_rgb8 | ( | unsigned int | color | ) |

Set color based on rgb color components. Alpha is set to 255.

## ◆ set_rgba8()

void clan::Color::set_rgba8 | ( | unsigned int | color | ) |

Set color based on rgba color components.

## Member Data Documentation

## ◆ aliceblue

Color clan::Color::aliceblue
| static

rgb(240, 248, 255).

## ◆ antiquewhite

Color clan::Color::antiquewhite
| static

rgb(250, 235, 215).

## ◆ aqua

Color clan::Color::aqua
| static

rgb( 0, 255, 255).

## ◆ aquamarine

Color clan::Color::aquamarine
| static

rgb(127, 255, 212).

## ◆ azure

Color clan::Color::azure
| static

rgb(240, 255, 255).

## ◆ beige

Color clan::Color::beige
| static

rgb(245, 245, 220).

## ◆ bisque

Color clan::Color::bisque
| static

rgb(255, 228, 196).

## ◆ black

Color clan::Color::black
| static

rgb( 0, 0, 0).

## ◆ blanchedalmond

Color clan::Color::blanchedalmond
| static

rgb(255, 235, 205).

## ◆ blue

Color clan::Color::blue
| static

rgb( 0, 0, 255).

Referenced by Color().

## ◆ blueviolet

Color clan::Color::blueviolet
| static

rgb(138, 43, 226).

## ◆ brown

Color clan::Color::brown
| static

rgb(165, 42, 42).

## ◆ burlywood

Color clan::Color::burlywood
| static

rgb(222, 184, 135).

## ◆ cadetblue

Color clan::Color::cadetblue
| static

rgb( 95, 158, 160).

## ◆ chartreuse

Color clan::Color::chartreuse
| static

rgb(127, 255, 0).

## ◆ chocolate

Color clan::Color::chocolate
| static

rgb(210, 105, 30).

## ◆ coral

Color clan::Color::coral
| static

rgb(255, 127, 80).

## ◆ cornflowerblue

Color clan::Color::cornflowerblue
| static

rgb(100, 149, 237).

## ◆ cornsilk

Color clan::Color::cornsilk
| static

rgb(255, 248, 220).

## ◆ crimson

Color clan::Color::crimson
| static

rgb(220, 20, 60).

## ◆ cyan

Color clan::Color::cyan
| static

rgb( 0, 255, 255).

## ◆ darkblue

Color clan::Color::darkblue
| static

rgb( 0, 0, 139).

## ◆ darkcyan

Color clan::Color::darkcyan
| static

rgb( 0, 139, 139).

## ◆ darkgoldenrod

Color clan::Color::darkgoldenrod
| static

rgb(184, 134, 11).

## ◆ darkgray

Color clan::Color::darkgray
| static

rgb(169, 169, 169).

## ◆ darkgreen

Color clan::Color::darkgreen
| static

rgb( 0, 100, 0).

## ◆ darkgrey

Color clan::Color::darkgrey
| static

rgb(169, 169, 169).

## ◆ darkkhaki

Color clan::Color::darkkhaki
| static

rgb(189, 183, 107).

## ◆ darkmagenta

Color clan::Color::darkmagenta
| static

rgb(139, 0, 139).

## ◆ darkolivegreen

Color clan::Color::darkolivegreen
| static

rgb( 85, 107, 47).

## ◆ darkorange

Color clan::Color::darkorange
| static

rgb(255, 140, 0).

## ◆ darkorchid

Color clan::Color::darkorchid
| static

rgb(153, 50, 204).

## ◆ darkred

Color clan::Color::darkred
| static

rgb(139, 0, 0).

## ◆ darksalmon

Color clan::Color::darksalmon
| static

rgb(233, 150, 122).

## ◆ darkseagreen

Color clan::Color::darkseagreen
| static

rgb(143, 188, 143).

## ◆ darkslateblue

Color clan::Color::darkslateblue
| static

rgb( 72, 61, 139).

## ◆ darkslategray

Color clan::Color::darkslategray
| static

rgb( 47, 79, 79).

## ◆ darkslategrey

Color clan::Color::darkslategrey
| static

rgb( 47, 79, 79).

## ◆ darkturquoise

Color clan::Color::darkturquoise
| static

rgb( 0, 206, 209).

## ◆ darkviolet

Color clan::Color::darkviolet
| static

rgb(148, 0, 211).

## ◆ deeppink

Color clan::Color::deeppink
| static

rgb(255, 20, 147).

## ◆ deepskyblue

Color clan::Color::deepskyblue
| static

rgb( 0, 191, 255).

## ◆ dimgray

Color clan::Color::dimgray
| static

rgb(105, 105, 105).

## ◆ dimgrey

Color clan::Color::dimgrey
| static

rgb(105, 105, 105).

## ◆ dodgerblue

Color clan::Color::dodgerblue
| static

rgb( 30, 144, 255).

## ◆ firebrick

Color clan::Color::firebrick
| static

rgb(178, 34, 34).

## ◆ floralwhite

Color clan::Color::floralwhite
| static

rgb(255, 250, 240).

## ◆ forestgreen

Color clan::Color::forestgreen
| static

rgb( 34, 139, 34).

## ◆ fuchsia

Color clan::Color::fuchsia
| static

rgb(255, 0, 255).

## ◆ gainsboro

Color clan::Color::gainsboro
| static

rgb(220, 220, 220).

## ◆ ghostwhite

Color clan::Color::ghostwhite
| static

rgb(248, 248, 255).

## ◆ gold

Color clan::Color::gold
| static

rgb(255, 215, 0).

## ◆ goldenrod

Color clan::Color::goldenrod
| static

rgb(218, 165, 32).

## ◆ gray

Color clan::Color::gray
| static

rgb(128, 128, 128).

## ◆ gray10

Color clan::Color::gray10
| static

## ◆ gray20

Color clan::Color::gray20
| static

## ◆ gray30

Color clan::Color::gray30
| static

## ◆ gray40

Color clan::Color::gray40
| static

## ◆ gray50

Color clan::Color::gray50
| static

## ◆ gray60

Color clan::Color::gray60
| static

## ◆ gray70

Color clan::Color::gray70
| static

## ◆ gray80

Color clan::Color::gray80
| static

## ◆ gray90

Color clan::Color::gray90
| static

## ◆ green

Color clan::Color::green
| static

rgb( 0, 128, 0).

Referenced by Color().

## ◆ greenyellow

Color clan::Color::greenyellow
| static

rgb(173, 255, 47).

## ◆ grey

Color clan::Color::grey
| static

rgb(128, 128, 128).

## ◆ honeydew

Color clan::Color::honeydew
| static

rgb(240, 255, 240).

## ◆ hotpink

Color clan::Color::hotpink
| static

rgb(255, 105, 180).

## ◆ indianred

Color clan::Color::indianred
| static

rgb(205, 92, 92).

## ◆ indigo

Color clan::Color::indigo
| static

rgb( 75, 0, 130).

## ◆ ivory

Color clan::Color::ivory
| static

rgb(255, 255, 240).

## ◆ khaki

Color clan::Color::khaki
| static

rgb(240, 230, 140).

## ◆ lavender

Color clan::Color::lavender
| static

rgb(230, 230, 250).

## ◆ lavenderblush

Color clan::Color::lavenderblush
| static

rgb(255, 240, 245).

## ◆ lawngreen

Color clan::Color::lawngreen
| static

rgb(124, 252, 0).

## ◆ lemonchiffon

Color clan::Color::lemonchiffon
| static

rgb(255, 250, 205).

## ◆ lightblue

Color clan::Color::lightblue
| static

rgb(173, 216, 230).

## ◆ lightcoral

Color clan::Color::lightcoral
| static

rgb(240, 128, 128).

## ◆ lightcyan

Color clan::Color::lightcyan
| static

rgb(224, 255, 255).

## ◆ lightgoldenrodyellow

Color clan::Color::lightgoldenrodyellow
| static

rgb(250, 250, 210).

## ◆ lightgray

Color clan::Color::lightgray
| static

rgb(211, 211, 211).

## ◆ lightgreen

Color clan::Color::lightgreen
| static

rgb(144, 238, 144).

## ◆ lightgrey

Color clan::Color::lightgrey
| static

rgb(211, 211, 211).

## ◆ lightpink

Color clan::Color::lightpink
| static

rgb(255, 182, 193).

## ◆ lightsalmon

Color clan::Color::lightsalmon
| static

rgb(255, 160, 122).

## ◆ lightseagreen

Color clan::Color::lightseagreen
| static

rgb( 32, 178, 170).

## ◆ lightskyblue

Color clan::Color::lightskyblue
| static

rgb(135, 206, 250).

## ◆ lightslategray

Color clan::Color::lightslategray
| static

rgb(119, 136, 153).

## ◆ lightslategrey

Color clan::Color::lightslategrey
| static

rgb(119, 136, 153).

## ◆ lightsteelblue

Color clan::Color::lightsteelblue
| static

rgb(176, 196, 222).

## ◆ lightyellow

Color clan::Color::lightyellow
| static

rgb(255, 255, 224).

## ◆ lime

Color clan::Color::lime
| static

rgb( 0, 255, 0).

## ◆ limegreen

Color clan::Color::limegreen
| static

rgb( 50, 205, 50).

## ◆ linen

Color clan::Color::linen
| static

rgb(250, 240, 230).

## ◆ magenta

Color clan::Color::magenta
| static

rgb(255, 0, 255).

## ◆ maroon

Color clan::Color::maroon
| static

rgb(128, 0, 0).

## ◆ mediumaquamarine

Color clan::Color::mediumaquamarine
| static

rgb(102, 205, 170).

## ◆ mediumblue

Color clan::Color::mediumblue
| static

rgb( 0, 0, 205).

## ◆ mediumorchid

Color clan::Color::mediumorchid
| static

rgb(186, 85, 211).

## ◆ mediumpurple

Color clan::Color::mediumpurple
| static

rgb(147, 112, 219).

## ◆ mediumseagreen

Color clan::Color::mediumseagreen
| static

rgb( 60, 179, 113).

## ◆ mediumslateblue

Color clan::Color::mediumslateblue
| static

rgb(123, 104, 238).

## ◆ mediumspringgreen

Color clan::Color::mediumspringgreen
| static

rgb( 0, 250, 154).

## ◆ mediumturquoise

Color clan::Color::mediumturquoise
| static

rgb( 72, 209, 204).

## ◆ mediumvioletred

Color clan::Color::mediumvioletred
| static

rgb(199, 21, 133).

## ◆ midnightblue

Color clan::Color::midnightblue
| static

rgb( 25, 25, 112).

## ◆ mintcream

Color clan::Color::mintcream
| static

rgb(245, 255, 250).

## ◆ mistyrose

Color clan::Color::mistyrose
| static

rgb(255, 228, 225).

## ◆ moccasin

Color clan::Color::moccasin
| static

rgb(255, 228, 181).

## ◆ navajowhite

Color clan::Color::navajowhite
| static

rgb(255, 222, 173).

## ◆ navy

Color clan::Color::navy
| static

rgb( 0, 0, 128).

## ◆ oldlace

Color clan::Color::oldlace
| static

rgb(253, 245, 230).

## ◆ olive

Color clan::Color::olive
| static

rgb(128, 128, 0).

## ◆ olivedrab

Color clan::Color::olivedrab
| static

rgb(107, 142, 35).

## ◆ orange

Color clan::Color::orange
| static

rgb(255, 165, 0).

## ◆ orangered

Color clan::Color::orangered
| static

rgb(255, 69, 0).

## ◆ orchid

Color clan::Color::orchid
| static

rgb(218, 112, 214).

## ◆ palegoldenrod

Color clan::Color::palegoldenrod
| static

rgb(238, 232, 170).

## ◆ palegreen

Color clan::Color::palegreen
| static

rgb(152, 251, 152).

## ◆ paleturquoise

Color clan::Color::paleturquoise
| static

rgb(175, 238, 238).

## ◆ palevioletred

Color clan::Color::palevioletred
| static

rgb(219, 112, 147).

## ◆ papayawhip

Color clan::Color::papayawhip
| static

rgb(255, 239, 213).

## ◆ peachpuff

Color clan::Color::peachpuff
| static

rgb(255, 218, 185).

## ◆ peru

Color clan::Color::peru
| static

rgb(205, 133, 63).

## ◆ pink

Color clan::Color::pink
| static

rgb(255, 192, 203).

## ◆ plum

Color clan::Color::plum
| static

rgb(221, 160, 221).

## ◆ powderblue

Color clan::Color::powderblue
| static

rgb(176, 224, 230).

## ◆ purple

Color clan::Color::purple
| static

rgb(128, 0, 128).

## ◆ red

Color clan::Color::red
| static

rgb(255, 0, 0).

Referenced by Color().

## ◆ rosybrown

Color clan::Color::rosybrown
| static

rgb(188, 143, 143).

## ◆ royalblue

Color clan::Color::royalblue
| static

rgb( 65, 105, 225).

## ◆ saddlebrown

Color clan::Color::saddlebrown
| static

rgb(139, 69, 19).

## ◆ salmon

Color clan::Color::salmon
| static

rgb(250, 128, 114).

## ◆ sandybrown

Color clan::Color::sandybrown
| static

rgb(244, 164, 96).

## ◆ seagreen

Color clan::Color::seagreen
| static

rgb( 46, 139, 87).

## ◆ seashell

Color clan::Color::seashell
| static

rgb(255, 245, 238).

## ◆ sienna

Color clan::Color::sienna
| static

rgb(160, 82, 45).

## ◆ silver

Color clan::Color::silver
| static

rgb(192, 192, 192).

## ◆ skyblue

Color clan::Color::skyblue
| static

rgb(135, 206, 235).

## ◆ slateblue

Color clan::Color::slateblue
| static

rgb(106, 90, 205).

## ◆ slategray

Color clan::Color::slategray
| static

rgb(112, 128, 144).

## ◆ slategrey

Color clan::Color::slategrey
| static

rgb(112, 128, 144).

## ◆ snow

Color clan::Color::snow
| static

rgb(255, 250, 250).

## ◆ springgreen

Color clan::Color::springgreen
| static

rgb( 0, 255, 127).

## ◆ steelblue

Color clan::Color::steelblue
| static

rgb( 70, 130, 180).

## ◆ tan

Color clan::Color::tan
| static

rgb(210, 180, 140).

## ◆ teal

Color clan::Color::teal
| static

rgb( 0, 128, 128).

## ◆ thistle

Color clan::Color::thistle
| static

rgb(216, 191, 216).

## ◆ tomato

Color clan::Color::tomato
| static

rgb(255, 99, 71).

## ◆ transparent

Color clan::Color::transparent
| static

rgba(0, 0, 0, 0).

## ◆ turquoise

Color clan::Color::turquoise
| static

rgb( 64, 224, 208).

## ◆ violet

Color clan::Color::violet
| static

rgb(238, 130, 238).

## ◆ wheat

Color clan::Color::wheat
| static

rgb(245, 222, 179).

## ◆ white

Color clan::Color::white
| static

rgb(255, 255, 255).

## ◆ whitesmoke

Color clan::Color::whitesmoke
| static

rgb(245, 245, 245).

## ◆ yellow

Color clan::Color::yellow
| static

rgb(255, 255, 0).

## ◆ yellowgreen

Color clan::Color::yellowgreen
| static

rgb(154, 205, 50).

The documentation for this class was generated from the following file:

- color.h